Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ClientSelectItem

    java.lang.Object
      org.richfaces.renderkit.ClientSelectItem

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public final class ClientSelectItem

extends java.lang.Object
implements org.ajax4jsf.javascript.ScriptString

Author:
  Brian Leathem

Constructor Summary
`ClientSelectItem(javax.faces.model.SelectItem selectItem, java.lang.String convertedValue, java.lang.String label, java.lang.Integer sortOrder, boolean selected)`
`ClientSelectItem(javax.faces.model.SelectItem selectItem, java.lang.String convertedValue, java.lang.String label, java.lang.Integer sortOrder, boolean selected, java.lang.String clientId)`
`ClientSelectItem(javax.faces.model.SelectItem selectItem, java.lang.String convertedValue, java.lang.String label, java.lang.String clientId)`

Method Summary
`void` | `appendScript(java.lang.Appendable target)`
`void` | `appendScriptToStringBuilder(java.lang.StringBuilder stringBuilder)`
`java.lang.String` | `getClientId()`
`java.lang.String` | `getConvertedValue()`
`java.lang.String` | `getLabel()`
`javax.faces.model.SelectItem` | `getSelectItem()`
`java.lang.Integer` | `getSortOrder()`
`boolean` | `isSelected()`
`void` | `setClientId(java.lang.String clientId)`
`java.lang.String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            java.lang.String convertedValue,
                            java.lang.String label,
                            java.lang.String clientId)

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            java.lang.String convertedValue,
                            java.lang.String label,
                            java.lang.Integer sortOrder,
                            boolean selected)

### ClientSelectItem

    public ClientSelectItem(javax.faces.model.SelectItem selectItem,
                            java.lang.String convertedValue,
                            java.lang.String label,
                            java.lang.Integer sortOrder,
                            boolean selected,
                            java.lang.String clientId)

Method Detail

### getSelectItem

    public javax.faces.model.SelectItem getSelectItem()

### getClientId

    public java.lang.String getClientId()

### setClientId

    public void setClientId(java.lang.String clientId)

### getLabel

    public java.lang.String getLabel()

### getConvertedValue

    public java.lang.String getConvertedValue()

### appendScript

    public void appendScript(java.lang.Appendable target)
                      throws java.io.IOException

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`
  Throws:
    `java.io.IOException`

### appendScriptToStringBuilder

    public void appendScriptToStringBuilder(java.lang.StringBuilder stringBuilder)

  Specified by:
    `appendScriptToStringBuilder` in interface `org.ajax4jsf.javascript.ScriptString`

### toScript

    public java.lang.String toScript()

  Specified by:
    `toScript` in interface `org.ajax4jsf.javascript.ScriptString`

### isSelected

    public boolean isSelected()

### getSortOrder

    public java.lang.Integer getSortOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.